"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateRoutes = void 0;
const fs = require("fs");
const path = require("path");
const fg = require("fast-glob");
const routes_1 = require("./template/routes");
const resolve_1 = require("./resolve");
function generateRoutes({ pages, importPrefix = '@/pages/', dynamicImport = true, chunkNamePrefix = '', nested = false, }) {
    const patterns = ['**/*.vue', '!**/__*__.vue', '!**/__*__/**'];
    const pagePaths = fg.sync(patterns, {
        cwd: pages,
        onlyFiles: true,
    });
    const metaList = resolve_1.resolveRoutePaths(pagePaths, importPrefix, nested, (file) => {
        return fs.readFileSync(path.join(pages, file), 'utf8');
    });
    return routes_1.createRoutes(metaList, dynamicImport, chunkNamePrefix);
}
exports.generateRoutes = generateRoutes;
