"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseSFC = void 0;
function parseSFC(code) {
    try {
        const parserV2 = require('vue-template-compiler')
            .parseComponent;
        return parserV2(code, {
            pad: 'space',
        });
    }
    catch (_a) {
        try {
            const parserV3 = require('@vue/compiler-sfc').parse;
            return parserV3(code, {
                pad: 'space',
            }).descriptor;
        }
        catch (_b) {
            throw new Error('[vue-route-generator] Either "vue-template-compiler" or "@vue/compiler-sfc" is required.');
        }
    }
}
exports.parseSFC = parseSFC;
